Unverified Commit 1a77409c authored by Aral Balkan's avatar Aral Balkan
Browse files

Update install script to check for libssl-dev on Linux

(More specifically, on platforms that contain dpkg, which we use to test for whether the libssl-dev library is installed.)
parent a1866dcd
......@@ -170,12 +170,17 @@ ensureCoffeeScriptExists(){
# Nodegit has a dependency (on Linux, at least) on sshd
# (On Linux, this is installed as part of libssl-dev)
ensureSSHDExists(){
if hash sshd 2>/dev/null; then
echo -e "sshd installed (Nodegit dependency should be met.)"
else
echo -e "\nError: Nodegit requires libssl-dev (on Linux) or equivalent. Please install that for your system and re-run the Builder installer."
exit 1
ensureSSHDExistsOnLinux(){
if hash dpkg 2>/dev/null; then
set +e
dpkg -l libssl-dev 2>/dev/null
if [ $? -ne 0 ]; then
echo -e "\nError: Nodegit requires libssl-dev (on Linux).\n\nTo install:\n\n • sudo apt install libssl-dev\n"
exit 1
fi
set -e
fi
}
......@@ -410,7 +415,7 @@ goodbye(){
ensureDependenciesExist(){
ensureSSHDExists
ensureSSHDExistsOnLinux
ensureCoffeeScriptExists
ensureNodemonExists
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment